#version 330 core
#extension GL_ARB_explicit_attrib_location: enable

in vec4 color;
in vec2 uv;
in vec4 rgbaFog;
in float fogAmount;
in float glowLevel;
flat in int renderFlags;
in vec3 normal;
in float normalShadeIntensity;

layout(location = 0) out vec4 outColor;
layout(location = 1) out vec4 outGlow;

uniform sampler2D tex;
uniform float alphaTest = 0.1;

#include fogandlight.fsh

void main () {
  outColor = texture(tex, uv) * color;
  if (outColor.a < alphaTest) discard;
  
  outColor = applyFogAndShadowWithNormal(outColor, fogAmount, normal, normalShadeIntensity, 0.45);
  
  //outColor = vec4((normal.x + 0.5) / 2, (normal.y + 0.5)/2, (normal.z+0.5)/2, 1);

  outGlow = vec4(glowLevel, 0, 0, outColor.a);
}